Package com.orchestranetworks.d3

# Class D3Engine

java.lang.Object
com.orchestranetworks.d3.D3Engine

@Deprecated public final class D3Engine extends Object
Deprecated.
Since 5.4.2, this method has been replaced by `D3NodeAsMaster`.
Represents the external view of the D3 engine and offers master administrative functionalities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `broadcast(VersionKey aSnapshotKey)`
  Deprecated.
  Since 5.2.7.
  `VersionKey`
  `getBroadcastVersion(BranchKey aDataSpaceKey)`
  Deprecated.
  See `D3Node.getBroadcastVersion(BranchKey)`.
  `D3Slave`
  `getD3SlaveFromId(String aSlaveId)`
  Deprecated.
  See `D3NodeAsMaster.getD3SlaveFromRepositoryLabel(String)`.
  `static D3Engine`
  `getFromSession(Repository aRepository, Session aSession)`
  Deprecated.
  See `D3NodeFactory.createForMasterFromSession(Session)`.
  `D3Broadcast`
  `getHandlerForAsynchronousBroadcast(VersionKey aSnapshotKey)`
  Deprecated.
  See `D3NodeAsMaster.getHandlerForAsynchronousBroadcast(VersionKey)`.
  `D3Broadcast`
  `getHandlerForSynchronousBroadcast(VersionKey aSnapshotKey)`
  Deprecated.
  See `D3NodeAsMaster.getHandlerForSynchronousBroadcast(VersionKey)`.
  `D3Broadcast`
  `getHandlerForSynchronousBroadcast(VersionKey aSnapshotKey, long aTimeOut)`
  Deprecated.
  See `D3NodeAsMaster.getHandlerForSynchronousBroadcast(VersionKey, long)`.
  `List<D3Slave>`
  `getRegisteredSlaves(BranchKey aDataSpaceKey)`
  Deprecated.
  See `D3NodeAsMaster.getRegisteredSlaves(BranchKey)`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getFromSession

    public static D3Engine getFromSession(Repository aRepository, Session aSession)
    Deprecated.
    See `D3NodeFactory.createForMasterFromSession(Session)`.

  - ### broadcast

    @Deprecated public void broadcast(VersionKey aSnapshotKey) throws OperationException
    Deprecated.
    Since 5.2.7. Replaced by `D3Broadcast.broadcast()`.
    Asynchronously broadcasts a snapshot. This dataspace must be associated with a delivery profile.
    Parameters:
      `aSnapshotKey` - version to broadcast.
    Throws:
      `IllegalArgumentException` - if:
      - `aSnapshotKey` is `null`
      - There is no `AdaptationHome` for `aSnapshotKey`
      - The snapshot is not valid
      - The parent dataspace of the snapshot is not a delivery dataspace
      - The delivery dataspace is not associated with a delivery profile
      `IllegalStateException` - if called on a non-master node.
      `OperationException` - if owner of the current session is not allowed to broadcast.

  - ### getBroadcastVersion

    public VersionKey getBroadcastVersion(BranchKey aDataSpaceKey)
    Deprecated.
    See `D3Node.getBroadcastVersion(BranchKey)`.

  - ### getHandlerForSynchronousBroadcast

    public D3Broadcast getHandlerForSynchronousBroadcast(VersionKey aSnapshotKey, long aTimeOut)
    Deprecated.
    See `D3NodeAsMaster.getHandlerForSynchronousBroadcast(VersionKey, long)`.

  - ### getHandlerForSynchronousBroadcast

    public D3Broadcast getHandlerForSynchronousBroadcast(VersionKey aSnapshotKey)
    Deprecated.
    See `D3NodeAsMaster.getHandlerForSynchronousBroadcast(VersionKey)`.

  - ### getHandlerForAsynchronousBroadcast

    public D3Broadcast getHandlerForAsynchronousBroadcast(VersionKey aSnapshotKey)
    Deprecated.
    See `D3NodeAsMaster.getHandlerForAsynchronousBroadcast(VersionKey)`.

  - ### getD3SlaveFromId

    public D3Slave getD3SlaveFromId(String aSlaveId)
    Deprecated.
    See `D3NodeAsMaster.getD3SlaveFromRepositoryLabel(String)`.

  - ### getRegisteredSlaves

    public List<D3Slave> getRegisteredSlaves(BranchKey aDataSpaceKey)
    Deprecated.
    See `D3NodeAsMaster.getRegisteredSlaves(BranchKey)`.